| OGRE 1.11.1 Object-Oriented Graphics Rendering Engine

Public Member Functions | Static Public Member Functions | List of all members
Ogre::FileSystemArchiveFactory Class Reference
Core » Resources

Specialisation of the ArchiveFactory to allow reading of files from filesystem folders / directories. More...

`#include <OgreFileSystem.h>`

Inheritance diagram for Ogre::FileSystemArchiveFactory:
[legend]

## Public Member Functions
virtual Archive * | createInstance (const String &name, bool readOnly)=0
| Creates a new object. More...
virtual Archive * | createInstance (const String &name)
Archive * | createInstance (const String &name, bool readOnly)
| Creates a new object. More...
virtual Archive * | createInstance (const String &name)
| Creates a new object. More...
void | destroyInstance (Archive *ptr)
| Destroys an object which was created by this factory. More...
const String & | getType (void) const
| Returns the factory type. More...

## Static Public Member Functions
static bool | getIgnoreHidden ()
| Get whether hidden files are ignored during filesystem enumeration. More...
static void | setIgnoreHidden (bool ignore)
| Set whether filesystem enumeration will include hidden files or not. More...

## Detailed Description

Specialisation of the ArchiveFactory to allow reading of files from filesystem folders / directories.

## Member Function Documentation

## ◆ getType()

const String& Ogre::FileSystemArchiveFactory::getType | ( | void |  | ) | const
| virtual

Returns the factory type.

Returns
  The factory type.

Implements Ogre::FactoryObj< Archive >.

## ◆ createInstance() [1/4]

Archive* Ogre::FileSystemArchiveFactory::createInstance | ( | const String & | name,
|  | bool | readOnly
| ) |  |
| virtual

Creates a new object.

Parameters

  name | Name of the object to create
  readOnly | whether the Archive is read only

Returns
  An object created by the factory. The type of the object depends on the factory.

Implements Ogre::ArchiveFactory.

## ◆ destroyInstance()

void Ogre::FileSystemArchiveFactory::destroyInstance | ( | Archive * | ptr | ) |
| inline virtual

Destroys an object which was created by this factory.

Parameters

  ptr | Pointer to the object to destroy

Implements Ogre::FactoryObj< Archive >.

References OGRE_DELETE.

## ◆ setIgnoreHidden()

static void Ogre::FileSystemArchiveFactory::setIgnoreHidden | ( | bool | ignore | ) |
| static

Set whether filesystem enumeration will include hidden files or not.

This should be called prior to declaring and/or initializing filesystem resource locations. The default is true (ignore hidden files).

## ◆ getIgnoreHidden()

static bool Ogre::FileSystemArchiveFactory::getIgnoreHidden | ( |  | ) |
| static

Get whether hidden files are ignored during filesystem enumeration.

## ◆ createInstance() [2/4]

virtual Archive* Ogre::ArchiveFactory::createInstance

Creates a new object.

Parameters

  name | Name of the object to create
  readOnly | whether the Archive is read only

Returns
  An object created by the factory. The type of the object depends on the factory.

## ◆ createInstance() [3/4]

virtual Archive* Ogre::ArchiveFactory::createInstance
| inline

## ◆ createInstance() [4/4]

virtual Archive* Ogre::ArchiveFactory::createInstance | ( | const String & | name | ) |
| inline virtual inherited

Creates a new object.

Parameters

  name | Name of the object to create

Returns
  An object created by the factory. The type of the object depends on the factory.

Implements Ogre::FactoryObj< Archive >.

References Ogre::ArchiveFactory::createInstance().

Referenced by Ogre::ArchiveFactory::createInstance().

The documentation for this class was generated from the following file:

- OgreFileSystem.h